Subject: Re: Define Linux system memory

From: Parav Pandit <[email-masked]>
Date: Wed, 20 Dec 2006 23:05:28 -0800 (PST)

Hi,
   
  This memory information is passed by the u-boot in bd_info structure (typedef to bd_t).
  Its defined in include/asm-ppc/ppcboot.h file.
  First two parameters specify the start address and length.
   
  Well, I'll at least try on my host x86 system. There is doesn't get from the grub.
  It should work and I should be able to see in cat /proc/meminfo.
  I'll try and let you know.
   
  Regards,
  Parav Pandit

"David H. Lynch Jr." <[email-masked]> wrote:
  Clint Thomas wrote:       To anybody who has done this before or understands how to do this, I was wondering if you know how to "tell" the kernel how much memory there is in the system. An example would be if I have 512MB of RAM, but only want the system to know that there is about 500MB in RAM, so that 12MB does not exist to the OS/kernel. Would this require mucking about in U-boot? or can I just define this in the kernel source? Thanks
   
   Clinton Thomas

    Most bootloaders including u-boot pass a board information structure that includes a variety of information including the memory size.
    Also I think top of memory is also typically passed to the Linux Kernel as a register parameter  by the boot loader.

---------------------------------
  _______________________________________________  Linuxppc-embedded mailing list  [email-masked]  https://ozlabs.org/mailman/listinfo/linuxppc-embedded

--   Dave Lynch             DLA Systems  Software Development:               Embedded Linux  717.627.3770         [email-masked]    http://www.dlasys.net  fax: 1.253.369.9244               Cell: 1.717.587.7774  Over 25 years' experience in platforms, languages, and technologies too numerous to list.    "Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."  Albert Einstein  
_______________________________________________
Linuxppc-embedded mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-embedded

 __________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 
 __________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com